Résolu: Modifier la direction d'une coupe

vos questions concernant les API SolidWorks

Résolu: Modifier la direction d'une coupe

Messagepar lucasgaetan » Mer 12 Oct 2011, 9:40

Bonjour,

je cherche à changer la direction d'une coupe une fois créer
car à la création de la coupe , si on inverse la direction:
CreateSectionViewAt5(X, Y, Z, "A", ChangeDirection, (excludedComponents), 0)
le centre de la vue (swView.Position) n'est plus au centre, ce qui est embêtant pour un repositionnement

j'ai trouvé un code dans l'aide mais je n'arrive pas à définir l'objet instance

Code: Tout sélectionner
Dim instance As IDrSection
instance.SetReversedCutDirection (True) 


Si quelqu'un sait manipuler IDrSection je suis preneur

Slt,
Dernière édition par lucasgaetan le Mer 12 Oct 2011, 11:07, édité 1 fois.
Avatar de l’utilisateur
lucasgaetan
Padawan SolidWorks
 
Messages: 76
Inscription: Mar 26 Oct 2010, 14:38
Localisation: NANTES

Messagepar lucasgaetan » Mer 12 Oct 2011, 11:07

Pour info:
Vue 1 sélectionner
Code: Tout sélectionner
Dim swView              As SldWorks.View
Dim skSegment           As SldWorks.SketchSegment
Dim swSectionView       As SldWorks.DrSection
   
Set swApp = Application.SldWorks
Set swModel = swApp.ActiveDoc
Set swDrawing = swModel

'coordonnées à definir
Set skSegment = swDrawing.SketchManager.CreateLine(X1, Y1, Z1, X2, Y2, Z2)
Set swView = swDrawing.CreateSectionViewAt5(0.5945, 0, 0#, "A", 0, (excludedComponents), 0)
boolstatus = swDrawing.ActivateView("Vue de mise en plan2")
Set swSectionView = swView.GetSection
swSectionView.SetReversedCutDirection (True)
Avatar de l’utilisateur
lucasgaetan
Padawan SolidWorks
 
Messages: 76
Inscription: Mar 26 Oct 2010, 14:38
Localisation: NANTES

Messagepar Chico » Jeu 13 Oct 2011, 3:36

Merci de nous faire partager la solution! :wink:
Il vaut mieux poser une question et risquer d'avoir l'air idiot
une journée que de se taire et d'être bête toute sa vie.

8wd a dit : LA FONCTION RECHERCHE EST TON AMIE
http://www.logiciel-cao.com
Avatar de l’utilisateur
Chico
Esprit Jedi Solidworks
 
Messages: 3120
Inscription: Mer 12 Mar 2008, 19:16
Localisation: Mauricie (Québec) ------SW 2006 SP0.0


Retourner vers Questions générales sur les API

 


  • Articles en relation
    Réponses
    Vus
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum: Aucun utilisateur enregistré et 5 invités

banniere

cron